package enum

// UserWalletFlowTransferType 用户钱包流水-类型
type UserWalletFlowTransferType int

const (
	AdministratorOperationAddBalance UserWalletFlowTransferType = iota + 1
	AdministratorOperationSubBalance
	EggEnergyExchangeAccountBalance
	AccountBalanceExchangeEggEnergy
)

func (kind UserWalletFlowTransferType) String() string {
	switch kind {
	case AdministratorOperationAddBalance:
		return "管理员操作增加余额"
	case AdministratorOperationSubBalance:
		return "管理员操作扣除余额"
	case EggEnergyExchangeAccountBalance:
		return "蛋蛋能量兑换余额"
	case AccountBalanceExchangeEggEnergy:
		return "余额兑换蛋蛋能量"
	default:
		return "未知状态"
	}
}
